<?php
defined( '_JEXEC' ) or die;

class plgCom_doskaMesbox extends JPlugin {
	
	protected $item;
	protected $params2;
	
	
	public function onDoskaAfterMessage($context, &$message, &$params, $page=0) {
	return $this->onContentPrepare($context, $message, $params, $page=0);
	
	}	
	
	
	public function onContentPrepare($context, &$message, &$params, $page=0) {
		
		
		
		$all_contexts = array('com_content.article','com_doska.message');
		if(!in_array($context,$all_contexts)) {
			return TRUE;
		}
JLoader::register('DoskaRoute', JPATH_SITE . '/components/com_doska/helpers/route.php');
JModelLegacy::addIncludePath(JPATH_SITE."/components/com_doska/models", 'DoskatModel');

		$regex = '/{messbox\s+(.*)}/i';
		
		preg_match_all($regex,$message->fulltext,$matches,PREG_SET_ORDER);
		
		if($matches) {
			if(is_array($matches)) {
				foreach($matches as $match) {
					$matchlist = explode(':',$match[1]);
					$id = $matchlist[1];
					
					if(!(int)$id) {
						return FALSE;
					}
					
					switch($matchlist[0]) {
						case 'cat':
						
						$model = JModelLegacy::getInstance('Messages', 'DoskaModel');
		
						$model->getState();
						$model->setState('list.limit',$this->params->get('messages_limit'));
						$model->setState('filter.category',(int)$id);
						
						$this->items = $model->getItems();
						$this->params2 = JFactory::getApplication()->getParams('com_doska');
						
						
						foreach($this->items as $item) {
							$item->images = json_decode($item->images);
						}
						
			$path = JPluginHelper::getLayoutPath('com_doska', 'mesbox');
						
						
						
						break;
						
						case 'message':
							$model = JModelLegacy::getInstance('Message', 'DoskaModel');
							$model->getState();
							$model->setState('message.id',(int)$id);
							
							$this->item = $model->getItem();
							$this->params2 = JFactory::getApplication()->getParams('com_doska');
							$this->item->images = json_decode($this->item->images);
							
							$path = JPluginHelper::getLayoutPath('com_doska','mesbox','message');
						
						break;
						
					}
					
	JFactory::getDocument()->addStyleSheet(JUri::base(true).'/media/plg_mesbox/css/plg_messages_style.css');
				
					ob_start();
					include $path;
					$var = 	ob_get_clean();
					
					$message->fulltext = preg_replace("/$match[0]/",$var,$message->fulltext,1);
				
				}
			}
		}
		
		
	} 
}
?>